document.addEventListener('DOMContentLoaded', () => {
  const card = document.querySelector('.card');
  const openButton = document.querySelector('.open-card');
  
  openButton.addEventListener('click', () => {
    card.classList.add('open');
    createFireworks();
  });

  function createFireworks() {
    const fireworks = document.querySelector('.fireworks');
    for (let i = 0; i < 5; i++) {
      setTimeout(() => {
        const spark = document.createElement('div');
        spark.style.position = 'absolute';
        spark.style.width = '4px';
        spark.style.height = '4px';
        spark.style.borderRadius = '50%';
        spark.style.backgroundColor = `hsl(${Math.random() * 360}deg, 100%, 50%)`;
        
        const startX = Math.random() * 100;
        const startY = Math.random() * 100;
        
        spark.style.left = `${startX}%`;
        spark.style.top = `${startY}%`;
        
        spark.style.animation = `
          sparkle 1s ease-in-out forwards,
          fade 1s ease-in-out forwards
        `;
        
        fireworks.appendChild(spark);
        
        setTimeout(() => {
          spark.remove();
        }, 1000);
      }, i * 200);
    }
  }
});

const style = document.createElement('style');
style.textContent = `
  @keyframes sparkle {
    0% {
      transform: scale(1);
    }
    50% {
      transform: scale(2);
    }
    100% {
      transform: scale(1);
    }
  }
  
  @keyframes fade {
    0% {
      opacity: 1;
    }
    100% {
      opacity: 0;
    }
  }
`;
document.head.appendChild(style);
